> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kemycard.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unfreeze a Card

> Reactivates a frozen card. Only frozen cards can be unfrozen. Sends a `card.unfrozen` webhook.



## OpenAPI

````yaml POST /cards/{code}/unfreeze
openapi: 3.1.0
info:
  title: KemyCard API
  version: '1.0'
  description: >
    KemyCard API allows you to issue virtual and physical cards, manage KYC/POA
    verification,

    create crypto wallets, virtual bank accounts, and purchase gift cards.
  contact:
    name: KemyCard API Support
    email: hi@kemycard.com
servers:
  - url: https://api.kemycard.com/v1
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Customers
    description: Manage your customers
  - name: Card Products
    description: Browse the card product catalog
  - name: Cards
    description: Issue and manage cards
  - name: KYC
    description: Identity verification
  - name: POA
    description: Proof of address verification
  - name: Wallets
    description: Crypto wallets
  - name: Virtual Accounts
    description: Virtual bank accounts
  - name: Gift Cards
    description: Gift card catalog and purchases
  - name: Balance
    description: Operational balances and transaction history
  - name: Webhooks
    description: Webhook endpoints and delivery management
paths:
  /cards/{code}/unfreeze:
    post:
      tags:
        - Cards
      summary: Unfreeze a card
      description: >-
        Reactivates a frozen card. Only frozen cards can be unfrozen. Sends a
        `card.unfrozen` webhook.
      operationId: unfreezeCard
      parameters:
        - $ref: '#/components/parameters/code'
      responses:
        '200':
          description: Card unfrozen
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardSuccessResponse'
        '404':
          $ref: '#/components/responses/NotFound'
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  parameters:
    code:
      name: code
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: Resource UUID
  schemas:
    CardSuccessResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          $ref: '#/components/schemas/Card'
        meta:
          $ref: '#/components/schemas/Meta'
    Card:
      type: object
      properties:
        code:
          type: string
          format: uuid
        customer_code:
          type: string
          format: uuid
        product_code:
          type: string
          format: uuid
        brand:
          type: string
          enum:
            - MASTERCARD
            - VISA
        category:
          type: string
        name_on_card:
          type: string
          example: John Doe
        status:
          type: string
          enum:
            - pending
            - active
            - frozen
            - cancelled
            - failed
          description: >
            `pending` — being issued. `active` — usable. `frozen` — payments
            declined until unfrozen.

            `cancelled` — terminated, the remaining balance was returned to your
            ops balance.

            `failed` — could not be issued, the amount was refunded.
        balance:
          type: number
        currency:
          type: string
        last_four:
          type: string
          nullable: true
          description: Null until the card is issued
        expiry:
          type: string
          nullable: true
          description: Expiry date, MM/YY. Null until the card is issued
          example: 12/29
        fees:
          type: object
          description: >-
            What was debited from your `cards_visa` or `cards_mastercard`
            balance when the card was created
          properties:
            card_fee:
              type: number
              example: 30
            service_fee:
              type: number
              example: 5
            total_charged:
              type: number
              description: Initial load + card fee + service fee
              example: 135
        created_at:
          type: string
          format: date-time
    Meta:
      type: object
      properties:
        request_id:
          type: string
          example: a4f8e2c1b3d97056
        mode:
          type: string
          enum:
            - test
            - live
          example: test
        timestamp:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: object
          properties:
            code:
              type: string
              example: VALIDATION_ERROR
            message:
              type: string
              example: Missing required fields.
            details:
              type: object
              nullable: true
        meta:
          $ref: '#/components/schemas/Meta'
  responses:
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            success: false
            error:
              code: RESOURCE_NOT_FOUND
              message: Resource not found.
              details: null
    ValidationError:
      description: Validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key (sk_test_... or sk_live_...)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.